Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1441)

Issue 1918073003: Fix odd size and visible rect issues in CanvasCaptureHandler (Closed)

Created:
3 years, 5 months ago by emircan
Modified:
3 years, 5 months ago
Reviewers:
mcasas
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, posciak+watch_chromium.org, jam, feature-media-reviews_chromium.org, darin-cc_chromium.org, mcasas+watch+vc_chromium.org, mkwst+moarreviews-renderer_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix odd size and visible rect issues in CanvasCaptureHandler This CL addresses odd size frame problems found by fuzz tests. BUG=606185 TEST=Minimized fuzz test case now passes. Also added unit tests. Committed: https://crrev.com/e0dd9f840b3a21cd12bd3d83f5ca63302549dd21 Cr-Commit-Position: refs/heads/master@{#389899}

Patch Set 1 #

Total comments: 6

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+63 lines, -42 lines) Patch
M content/renderer/media/canvas_capture_handler.cc View 1 2 chunks +20 lines, -18 lines 0 comments Download
M content/renderer/media/canvas_capture_handler_unittest.cc View 1 7 chunks +43 lines, -24 lines 0 comments Download

Messages

Total messages: 12 (6 generated)
emircan
PTAL.
3 years, 5 months ago (2016-04-25 23:46:49 UTC) #3
mcasas
lgtm https://codereview.chromium.org/1918073003/diff/1/content/renderer/media/canvas_capture_handler.cc File content/renderer/media/canvas_capture_handler.cc (right): https://codereview.chromium.org/1918073003/diff/1/content/renderer/media/canvas_capture_handler.cc#newcode29 content/renderer/media/canvas_capture_handler.cc:29: const scoped_refptr<media::VideoFrame>& dest_frame) { nit: Since there's a ...
3 years, 5 months ago (2016-04-26 00:07:14 UTC) #4
emircan
https://codereview.chromium.org/1918073003/diff/1/content/renderer/media/canvas_capture_handler.cc File content/renderer/media/canvas_capture_handler.cc (right): https://codereview.chromium.org/1918073003/diff/1/content/renderer/media/canvas_capture_handler.cc#newcode29 content/renderer/media/canvas_capture_handler.cc:29: const scoped_refptr<media::VideoFrame>& dest_frame) { On 2016/04/26 00:07:14, mcasas wrote: ...
3 years, 5 months ago (2016-04-26 19:47:08 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1918073003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1918073003/20001
3 years, 5 months ago (2016-04-26 21:33:38 UTC) #8
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 5 months ago (2016-04-26 21:38:06 UTC) #10
commit-bot: I haz the power
3 years, 5 months ago (2016-04-26 21:39:20 UTC) #12
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/e0dd9f840b3a21cd12bd3d83f5ca63302549dd21
Cr-Commit-Position: refs/heads/master@{#389899}

Powered by Google App Engine
This is Rietveld 408576698